using Hotline.Share.Enums.Settings;
using SqlSugar;
using XF.Domain.Repository;
using XF.Utility.EnumExtensions;

namespace Hotline.Settings.CommonOpinions
{
    public class SystemCommonOpinion : CreationEntity
    {
        public string Content { get; set; }

        public int OrderBy { get; set; }

        [SugarColumn(DefaultValue = "f")]
        public bool IsOpen { get; set; }

        public ECommonType CommonType { get; set; }

        [SugarColumn(IsIgnore = true)]
        public string CommonTypeText => CommonType.GetDescription();
    }
}
